#ifndef BANDPARSE_H_ 
#define BANDPARSE_H_
/* 
   Copyright (C) 1999 PolyWog and Javaman for Ghetto.Org
   This file is part of the PCR-1000 API Library.

   The PCR-1000 API Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The PCR-1000 API Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the PCR-1000 API Library; see the file LICENSE.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  
 */

/*
 * This file contains the function prototypes for the class
 * that handles the parsing issues with the bandscope feature 
 * of the PCR-1000 receiver. 
 *
 *  The way I figure this object is going to be used is that there
 *  will be a loop in the calling object that reads in the strings
 *  from the PCR1000.  The class is instantiated for each iteration
 *  of the loop.  The destructor frees up any memory malloc'ed by the
 *  class. 
 */

#include <stdlib.h>
#include <string.h>

#include <pcrdef.h>

	class Bandparse 
	{
		public:
			Bandparse(unsigned short int samplesin);
			void DataIn(char *datain[]);
			unsigned short int *DataOut(void);
			void setSampleCount(unsigned short int samplesin);
			unsigned short int getSampleCount(void);
			~Bandparse();
		private:
			char *preparsed;
			unsigned short int *parsed;
			unsigned short int samples;
			unsigned short int stringcount;
			unsigned short int hex2dec(char hex);
	};

#endif /* BANDPARSE_H_ */
